Debian Bug report logs - #698024
stabilize live-build for wheezy

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Sun, 13 Jan 2013 01:03:02 UTC

Severity: grave

Found in version live-build/3.0~a51-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698024; Package live-build. (Sun, 13 Jan 2013 01:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 13 Jan 2013 01:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: stabilize live-build for wheezy
Date: Sat, 12 Jan 2013 20:00:18 -0500
Package: live-build
Version: 3.0~a51-1
Severity: grave

There are serious problems with live-build in wheezy. For example, the
"rescue" package list is completely broken (#694823) and there are some
problems with grub (#696578).

In both bug reports, users are being targeted to the latest 3.x
versions, which arguably fixes those issues. Unfortunately, the 3.x
manual states "live-build always defaults to the stable release". Now of
course wheezy is not stable yet, but we're in a freeze so that's exactly
what we're wanting to do now, make wheezy stable! :)

So we should get 3.0 beta releases down into wheezy. This will probably
require an unfreeze request with the release team, but I wanted to
double-check this is proper before going ahead and filing a (rather
controversial, considering the diff) bug with release.debian.org.

Thanks for the feedback!

A.

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_CA.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.44

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a43-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools                  3.0.13-1
ii  fakeroot                    1.18.4-2
ii  genisoimage                 9:1.1.11-2
ii  memtest86+                  4.20-1.1
ii  mtools                      4.0.17-1
ii  parted                      2.3-11
pn  squashfs-tools | mtd-tools  <none>
ii  sudo                        1.8.5p2-1
pn  syslinux | grub             <none>
pn  uuid-runtime                <none>
pn  win32-loader                <none>

-- no debconf information

-- debsums errors found:
debsums: changed file /usr/share/live/build/package-lists/rescue (from live-build package)



Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Sun, 13 Jan 2013 06:27:04 GMT) Full text and rfc822 format available.

Notification sent to Antoine Beaupré <anarcat@debian.org>:
Bug acknowledged by developer. (Sun, 13 Jan 2013 06:27:04 GMT) Full text and rfc822 format available.

Message #10 received at 698024-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 698024-done@bugs.debian.org
Subject: Re: Bug#698024: stabilize live-build for wheezy
Date: Sun, 13 Jan 2013 07:26:32 +0100
On 01/13/2013 02:00 AM, Antoine Beaupré wrote:
> There are serious problems with live-build in wheezy.

which is why you should use the version in sid while we're working on 
finishing it up and getting it to migrate at some point.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698024; Package live-build. (Wed, 16 Jan 2013 05:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jan 2013 05:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 698024@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: 698024@bugs.debian.org
Subject: how is this done?
Date: Wed, 16 Jan 2013 00:47:51 -0500
[Message part 1 (text/plain, inline)]
I don't understand why this bug report was closed. It was explicitely
about having a stable version for wheezy, and the response was to use
the version from sid - how does that help with the actual issue?

I understand that the sid version fixes issues, and that's great, but I
think this issue will really be solved when that sid version migrates to
wheezy, and from what I understand, this will require a freeze
exception.

Also note that some issues, like the rescue package list (#694823), are
still broken in sid: the package list was just removed, and the one in
live-images still has 'ettercap-text-only', not available in wheezy.

A.

-- 
Nothing incites to money-crimes like great poverty or great wealth.
                        - Mark Twain
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698024; Package live-build. (Wed, 16 Jan 2013 06:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jan 2013 06:54:03 GMT) Full text and rfc822 format available.

Message #20 received at 698024@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 698024@bugs.debian.org
Subject: Re: Bug#698024: how is this done?
Date: Wed, 16 Jan 2013 07:54:45 +0100
On 01/16/2013 06:47 AM, Antoine Beaupré wrote:
> I don't understand why this bug report was closed.

as indicated when closing the bug, it doesn't serve any purpose.

> the one in live-images still has 'ettercap-text-only', not available in wheezy.

'still'?

first, you didn't report that. second, ettercap was only removed on 
2013-01-10 from wheezy.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698024; Package live-build. (Wed, 16 Jan 2013 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jan 2013 12:42:03 GMT) Full text and rfc822 format available.

Message #25 received at 698024@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 698024@bugs.debian.org
Subject: Re: Bug#698024: how is this done?
Date: Wed, 16 Jan 2013 07:40:19 -0500
[Message part 1 (text/plain, inline)]
On 2013-01-16, Daniel Baumann wrote:
> On 01/16/2013 06:47 AM, Antoine Beaupré wrote:
>> I don't understand why this bug report was closed.
>
> as indicated when closing the bug, it doesn't serve any purpose.

I thought it did: to make sure that the wheezy version was stable. I
don't understand how the version from sid is expected to migrate down to
wheezy considering the significant diff it will have. But maybe you have
all this cleared up with release.debian.org already.

>> the one in live-images still has 'ettercap-text-only', not available in wheezy.
>
> 'still'?

Yes, still.

> first, you didn't report that. 

That is correct, someone else did, in #694823. I don't see what
difference in makes. To be fair, ettercap wasn't explicitely mentionned
in that bug report, but since that bug still affected wheezy, I felt it
was important to make sure those bug reports were fixed in wheezy, as a
whole.

Now I'm happy to see that you have everything under control and that
everything will be fixed in time for wheezy...

> second, ettercap was only removed on 2013-01-10 from wheezy.

Understood. You may still want to use this patch then:

diff --git a/config/package-lists/rescue.list.chroot b/config/package-lists/rescue.list.chroot
index 2ad47fd..160ddab 100644
--- a/config/package-lists/rescue.list.chroot
+++ b/config/package-lists/rescue.list.chroot
@@ -157,7 +157,9 @@ arpwatch
 atsar
 bmon
 ethstatus
+#if DISTRIBUTION sid
 ettercap-text-only
+#endif
 geoip-bin
 hp-search-mac
 icmpinfo

... in live-images, which I believe is not in wheezy at all...

A.

-- 
Jesus died for his own sins, not mine.
                        - CRASS, 1978
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698024; Package live-build. (Wed, 16 Jan 2013 12:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jan 2013 12:57:07 GMT) Full text and rfc822 format available.

Message #30 received at 698024@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 698024@bugs.debian.org
Subject: Re: Bug#698024: how is this done?
Date: Wed, 16 Jan 2013 13:55:48 +0100
On 01/16/2013 01:40 PM, Antoine Beaupré wrote:
> You may still want to use this patch then:

as indicated in my previous mail, this has already been fixed in git 
together with marking the bug as 'pending'.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698024; Package live-build. (Wed, 16 Jan 2013 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jan 2013 13:15:03 GMT) Full text and rfc822 format available.

Message #35 received at 698024@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 698024@bugs.debian.org
Subject: Re: Bug#698024: how is this done?
Date: Wed, 16 Jan 2013 08:10:06 -0500
[Message part 1 (text/plain, inline)]
On 2013-01-16, Daniel Baumann wrote:
> On 01/16/2013 01:40 PM, Antoine Beaupré wrote:
>> You may still want to use this patch then:
>
> as indicated in my previous mail, this has already been fixed in git 
> together with marking the bug as 'pending'.

Ah, I didn't notice that in your previous mail.

A.

-- 
We are discreet sheep; we wait to see how the drove is going, and then go
with the drove.
                        - Mark Twain
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 14 Feb 2013 07:26:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:34:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.